Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032610
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] C. Securityminorhave not tried2016-04-06 10:372016-06-17 19:36
ReporteralostaleView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision7241af045c9e
ProjectionnoneETAnoneTarget Version3.0PR16Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032610: standard datasources shouldn't accept where parameter by default

DescriptionIn general, where clauses should be calculated in server side, not being necessary to send them from client.
Steps To Reproduce-
Proposed Solution* Do not accept, by default, where parameter from client side
* Prepare where clauses in backend
* Define a property for backwards compatibility to allow them
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032597 closedNaroaIriarte API change because some methods have been deleted 
related to defect 0032532 closedNaroaIriarte The "_where" parameter is used in some retail modules 
related to defect 0032619 closedalostale API change because it is no longer possible to send the _where parameter 
related to defect 0032653 closedalostale API change because weld injection is being used in some clases 
related to defect 0033231 closedcaristu Prevent usage of filter clause as an URL parameter 
related to defect 0034499 closedcaristu [clustering] CachedPreference feature is not supported on clustered environments 
causes defect 0032912 closedNaroaIriarte Error after refreshing browser having a child tab opened 
causes defect 0033073 closedNaroaIriarte Where parameter can not be used in JSON webservices 
causes defect 00332043.0PR16Q3 closedcaristu Javascript error appears in console after opening a window with a saved view 
causes defect 0033478 closedNaroaIriarte implicit filters not applied in updated instances with grid configuration 

-  Notes
(0085624)
hgbot (developer)
2016-04-13 16:33

Repository: erp/devel/pi
Changeset: 4bc26a30e2966fc212fa9b336a9e36f4e1a042c6
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Wed Apr 13 12:37:44 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4bc26a30e2966fc212fa9b336a9e36f4e1a042c6 [^]

Fixed issue 32610: Standard datasources do not accept _where parameter

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ADAlertDatasourceService.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/CachedPreference.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-pick-and-execute-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/BaseDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DefaultDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/HQLDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ReadOnlyDataSourceService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorComponent.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorDataSourceFilter.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector-as-link.ftl
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector.ftl
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-test/src/org/openbravo/test/AllWebserviceTests.java
M src-test/src/org/openbravo/test/datasource/ProductSelectorDataSourceTest.java
M src/org/openbravo/base/exception/OBSecurityException.java
A src-test/src/org/openbravo/test/datasource/DataSourceWhereParameter.java
---
(0085625)
hgbot (developer)
2016-04-13 16:33

Repository: erp/devel/pi
Changeset: 7241af045c9e149de44c0e9e39f9ab974f7959cc
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Wed Apr 13 16:20:51 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7241af045c9e149de44c0e9e39f9ab974f7959cc [^]

Fixed issue 32610: _where parameter is not accepted by standard datasources

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.userinterface.selector/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/model/tables/AD_COLUMN.xml
M src-db/database/model/triggers/AD_COLUMN_MOD_TRG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src-test/src/org/openbravo/test/AllWebserviceTests.java
M src/org/openbravo/base/model/Column.hbm.xml
M src/org/openbravo/base/model/Column.java
M src/org/openbravo/base/model/Property.java
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/dal/core/OBInterceptor.java
A src-test/src/org/openbravo/test/security/CrossOrganizationReference.java
A src-test/src/org/openbravo/test/security/ExplicitCrossOrganizationReference.java
A src-test/src/org/openbravo/test/security/StandardCrossOrganizationReference.java
---
(0085686)
alostale (developer)
2016-04-18 08:35

code reviewed and tested

https://docs.google.com/spreadsheets/d/1YGuu1jnrD4_L1t0wfLvbogn7Q9-k70jaozJX9w7VUrU/edit#gid=0 [^]
(0086415)
hgbot (developer)
2016-05-12 16:07

Repository: erp/pmods/org.openbravo.mobile.warehouse
Changeset: 90cd9da3232fa9b93bf5e85eb2913a86c0782b4e
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Thu May 12 16:06:19 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.warehouse/rev/90cd9da3232fa9b93bf5e85eb2913a86c0782b4e [^]

Related to issue 32610: There was a variable not declared.

There was a "criteria" variable which was not declared. This has
been fixed and now the "criteria" is a functional variable instead
of a global variable.

---
M web/org.openbravo.mobile.warehouse/source/goodsMovement/wh-movement-attribute.js
---
(0086425)
hgbot (developer)
2016-05-12 17:35

Repository: erp/pmods/org.openbravo.mobile.warehouse
Changeset: 2ebbd44c24f15ea9fecfa643a1a3da9d69fe72da
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Thu May 12 17:34:37 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.warehouse/rev/2ebbd44c24f15ea9fecfa643a1a3da9d69fe72da [^]

Related to issue 32610: There were some variables not declared.

Some undeclared variables have been declared.

---
M web/org.openbravo.mobile.warehouse/source/goodsMovement/wh-movement-attribute.js
M web/org.openbravo.mobile.warehouse/source/goodsMovement/wh-movement-product.js
---
(0087446)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087447)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-04-06 10:37 alostale New Issue
2016-04-06 10:37 alostale Assigned To => NaroaIriarte
2016-04-06 10:37 alostale Modules => Core
2016-04-06 10:37 alostale Triggers an Emergency Pack => No
2016-04-06 10:37 alostale Status new => scheduled
2016-04-07 15:13 NaroaIriarte Relationship added related to 0032619
2016-04-13 16:24 NaroaIriarte Review Assigned To => alostale
2016-04-13 16:27 alostale Relationship added related to 0032597
2016-04-13 16:33 hgbot Checkin
2016-04-13 16:33 hgbot Note Added: 0085624
2016-04-13 16:33 hgbot Status scheduled => resolved
2016-04-13 16:33 hgbot Resolution open => fixed
2016-04-13 16:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4bc26a30e2966fc212fa9b336a9e36f4e1a042c6 [^]
2016-04-13 16:33 hgbot Checkin
2016-04-13 16:33 hgbot Note Added: 0085625
2016-04-13 16:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/4bc26a30e2966fc212fa9b336a9e36f4e1a042c6 [^] => http://code.openbravo.com/erp/devel/pi/rev/7241af045c9e149de44c0e9e39f9ab974f7959cc [^]
2016-04-18 08:28 alostale Relationship added related to 0032532
2016-04-18 08:35 alostale Note Added: 0085686
2016-04-18 08:35 alostale Status resolved => closed
2016-04-18 08:35 alostale Fixed in Version => 3.0PR16Q3
2016-04-18 08:38 alostale Relationship added related to 0032653
2016-05-03 13:29 caristu Relationship added causes 0032838
2016-05-10 09:10 caristu Relationship added causes 0032912
2016-05-12 16:07 hgbot Checkin
2016-05-12 16:07 hgbot Note Added: 0086415
2016-05-12 17:35 hgbot Checkin
2016-05-12 17:35 hgbot Note Added: 0086425
2016-05-23 11:37 caristu Relationship deleted causes 0032838
2016-05-30 11:29 alostale Relationship added causes 0033073
2016-06-09 11:23 caristu Relationship added causes 0033204
2016-06-13 13:05 caristu Relationship added related to 0033231
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087446
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087447
2016-07-14 10:10 alostale Relationship added causes 0033478
2016-11-14 17:18 caristu Relationship added related to 0034499


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker